Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.io
Class SAXReader.SAXEntityResolver

    java.lang.Object
      org.dom4j.io.SAXReader.SAXEntityResolver

All Implemented Interfaces:
  EntityResolver, Serializable

Enclosing class:
  SAXReader

protected static class SAXReader.SAXEntityResolver
extends Object
implements EntityResolver, Serializable

See Also:
  Serialized Form

Field Summary
`protected String` | `uriPrefix`

Constructor Summary
`SAXReader.SAXEntityResolver(String uriPrefix)`

Method Summary
`InputSource` | `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uriPrefix

    protected String uriPrefix

Constructor Detail

### SAXReader.SAXEntityResolver

    public SAXReader.SAXEntityResolver(String uriPrefix)

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)

  Specified by:
    `resolveEntity` in interface `EntityResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.